#ifndef	MOD2H_H
#define MOD2H_H
#ifdef __cplusplus
extern "C" {
#endif

#define MAX_SAMPLE_DATAS 16384


//TvOfW^f[^
typedef struct
{
	s8* data;
	u32 length;
} ST_SAMPLE_DATA;

//F

//Ro[^p
/*typedef struct
{
	u8  name[22];
	u16 length;
	u8  finetune;
	u8  vol;
	u16 loopStart;
	u16 loopLength;
	u32 smpDataIdx;
} ST_SAMPLE_HEADER;*/

//GBAp
typedef struct 
{
	u16  length;
	u8   finetune;
	u8   vol;
	u16  loopStart;
	u16  loopLength;
	const s8   *smpData;   // Pointer to sample data in ROM
} ST_SAMPLE_HEADER;


//MODt@Cwb_
//Ro[^p
/*typedef struct
{
	u8               name[20];
	ST_SAMPLE_HEADER sample[31];
	u8               order[128];
	u8**             pattern;
	u8               orderCount;
	u8               patternCount;
	u32              smpDataCount;
	ST_SAMPLE_DATA   smpData[MAX_SAMPLE_DATAS];
} ST_MOD_HEADER;*/

//GBAp
typedef struct
{
	const ST_SAMPLE_HEADER *sample;
	const u8 *order;
	const u8 **pattern;
	u8 orderCount;
	u8 pad[3];

} ST_MOD_HEADER;


#ifdef __cplusplus
}
#endif
#endif
